import React, { useEffect } from 'react';

import Keycloak from 'keycloak-js';

const keycloak = new Keycloak({
  url: 'http://localhost:8080/',
  realm: 'master',
  clientId: 'react-client',
});

// let kc = new Keycloak({
//   url: 'http://localhost:8080/',
//   realm: 'master',
//   clientId: 'react-client',
// });

// kc.init({
//   onLoad: 'check-sso',
//   silentCheckSsoRedirectUri: window.location.origin + "/silent-check-sso.html",
//   checkLoginIframe: false,
//   pkceMethod: 'S256'
// }).then((auth) => {
//   if (!auth) {
//     window.location.reload();
//   } else {
//     console.info("Authenticated");
//     console.log('auth', auth)
//     console.log('Keycloak', kc)
//     kc.onTokenExpired = () => {
//       console.log('token expired')
//     }
//   }
// }, () => {
//   console.error("Authenticated Failed");
// });

// console.log(kc.responseType)

const App: React.FC = () => {
  useEffect(() => {
    try {
      keycloak.init({
        onLoad: 'login-required',
        checkLoginIframe: false,
        pkceMethod: 'S256'
      }).then(auth => {
        if (auth) {
          console.log(auth);
          console.log('User is authenticated');
        } else {
          console.log('User is not authenticated');
        }
      });
    } catch (error) {
      console.error('Failed to initialize adapter:', error);
    }
  }, []);

  return <div>Your App</div>;
};

export default App;